KABC::AddresseeDialog class Reference (kabc Library)

| # kabc Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KABC::AddresseeDialog Class Reference

Dialog for selecting address book entries. More...

`#include <addresseedialog.h>`

Inheritance diagram for KABC::AddresseeDialog:

[legend]
Collaboration diagram for KABC::AddresseeDialog:

[legend]
List of all members.

## Public Member Functions
| AddresseeDialog (QWidget *parent=0, bool multiple=false)
| Construct addressbook entry select dialog.
virtual | ~AddresseeDialog ()
| Destructor.
Addressee | addressee ()
| Return the address chosen.
Addressee::List | addressees ()
| Return the list of addresses chosen.
## Static Public Member Functions
Addressee | getAddressee (QWidget *parent)
| Select a single address book entry.
Addressee::List | getAddressees (QWidget *parent)
| Select multiple adress book entries.
## Protected Slots
void | addressBookChanged ()

## Detailed Description

Dialog for selecting address book entries.

This class provides a dialog for selecting entries from the standard KDE address book. Use the getAddressee() function to open a modal dialog, returning an address book entry.

In the dialog you can select an entry from the list with the mouse or type in the first letters of the name or email address you are searching for. The entry matching best is automatically selected. Use double click, pressing return or pressing the ok button to return the selected addressee to the application.

Definition at line 83 of file addresseedialog.h.

## Constructor & Destructor Documentation

AddresseeDialog::AddresseeDialog | ( | QWidget * | parent = 0,
|  | bool | multiple = false
| ) |

  | Construct addressbook entry select dialog. Parameters:
  parent | parent widget
Definition at line 59 of file addresseedialog.cpp. References KListView::addColumn(), QBoxLayout::addLayout(), QBoxLayout::addWidget(), KGlobalSettings::CompletionAuto, KCompletionBase::completionObject(), KDialogBase::plainPage(), QListView::setAllColumnsShowFocus(), KLineEdit::setCompletionMode(), QBoxLayout::setSpacing(), KDialogBase::slotOk(), and KDialog::spacingHint(). Referenced by getAddressee(), and getAddressees().

AddresseeDialog::~AddresseeDialog | ( |  | ) | `[virtual]`

| Destructor. Definition at line 115 of file addresseedialog.cpp.

## Member Function Documentation

Addressee AddresseeDialog::addressee | ( |  | ) |

| Return the address chosen. If it is a multiple select, this will return only the first address chosen Definition at line 184 of file addresseedialog.cpp. References KABC::AddresseeItem::addressee(), QListView::firstChild(), and QListView::selectedItem(). Referenced by getAddressee().

Addressee::List AddresseeDialog::addressees | ( |  | ) |

| Return the list of addresses chosen. Definition at line 197 of file addresseedialog.cpp. References KABC::AddresseeItem::addressee(), QValueList< Addressee >::append(), QListView::firstChild(), QListViewItem::nextSibling(), and QListView::selectedItem(). Referenced by getAddressees().

Addressee AddresseeDialog::getAddressee | ( | QWidget * | parent | ) | `[static]`

| Select a single address book entry. Open addressee select dialog and return the entry selected by the user. If the user doesn't select an entry or presses cancel, the returned addressee is empty. Definition at line 219 of file addresseedialog.cpp. References addressee(), AddresseeDialog(), QDialog::exec(), and QDialog::result().

Addressee::List AddresseeDialog::getAddressees | ( | QWidget * | parent | ) | `[static]`

| Select multiple adress book entries. Open addressee select dialog and return the entries selected by the user. If the user doesn't select an entry or presses cancel, the returned addressee list is empty. Definition at line 233 of file addresseedialog.cpp. References AddresseeDialog(), addressees(), QDialog::exec(), and QDialog::result().

The documentation for this class was generated from the following files:

- addresseedialog.h
- addresseedialog.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:29:29 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001